Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class GetUserNamesExtraInfo

    java.lang.Object
      javax.servlet.jsp.tagext.TagExtraInfo
          com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTagExtraInfo
              com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTagExtraInfo
                  com.bea.p13n.usermgmt.servlets.jsp.taglib.GetUserNamesExtraInfo

    public class GetUserNamesExtraInfo

extends ResultTagExtraInfo

Sets JSP page-scoped variables as a result of the <um:getUserNames> tag. This includes as String array containing the names of users that matched the search criteria, and optionally an Integer result to signal if the search was successful.

Constructor Summary
`GetUserNamesExtraInfo()`

Method Summary
`javax.servlet.jsp.tagext.VariableInfo[]` | `getVariableInfo(javax.servlet.jsp.tagext.TagData data)` Create an array of VariableInfo objects containing information about the variables to create.
`boolean` | `isValid(javax.servlet.jsp.tagext.TagData data)`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTagExtraInfo
`createResultInfo`

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, setTagInfo, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetUserNamesExtraInfo

    public GetUserNamesExtraInfo()

Method Detail

### getVariableInfo

    public javax.servlet.jsp.tagext.VariableInfo[] getVariableInfo(javax.servlet.jsp.tagext.TagData data)

  Create an array of VariableInfo objects containing information about the variables to create.

  Overrides:
    `getVariableInfo` in class `ResultTagExtraInfo`

### isValid

    public boolean isValid(javax.servlet.jsp.tagext.TagData data)

  Overrides:
    `isValid` in class `ResultTagExtraInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.